Καταστήματα

    GET https://akorlis.com/api/stores/
    curl --request GET \
    --url 'https://akorlis.com/api/stores/' \
    --header 'Authorization: Bearer {api_key}' \
    Παράμετροι Λεπτομέρειες Περιγραφή
    search Προαιρετικό Συμβολοσειρά-String Η συμβολοσειρά αναζήτησης.
    search_by Προαιρετικό Συμβολοσειρά-String Με βάση ποιο πεδίο ψάχνετε. Οι επιτρεπόμενες τιμές είναι: name, url.
    is_enabled Προαιρετικό Boolean
    domain_id Προαιρετικό Ακέραιος
    datetime_field Προαιρετικό Συμβολοσειρά-String Επιτρεπόμενες τιμές: datetime, last_datetime
    datetime_start Προαιρετικό Συμβολοσειρά-String api_documentation.filters.datetime_start
    datetime_end Προαιρετικό Συμβολοσειρά-String api_documentation.filters.datetime_end
    order_by Προαιρετικό Συμβολοσειρά-String Από ποιο πεδίο πρέπει να ταξινομήσετε τα αποτελέσματα. Οι επιτρεπόμενες τιμές είναι: store_id, last_datetime, datetime, pageviews, name, url, orders.
    order_type Προαιρετικό Συμβολοσειρά-String Η σειρά των αποτελεσμάτων. Οι επιτρεπόμενες τιμές είναι: ASC για αύξουσα ταξινόμηση και DESC για φθίνουσα.
    page Προαιρετικό Ακέραιος Ο αριθμός σελίδας από τον οποίο θέλετε αποτελέσματα. Προεπιλογή το 1.
    results_per_page Προαιρετικό Ακέραιος Πόσα αποτελέσματα θέλετε ανά σελίδα. Οι επιτρεπόμενες τιμές είναι: 10, 25, 50, 100, 250, 500, 1000. Η προεπιλογή είναι 25.
    {
        "data": [
            {
                "store_id": 1,
                "domain_id": null,
                "user_id": 1,
                "url": "example",
                "full_url": "https://akorlis.com/example",
                "name": "Vintage Machine",
                "description": "great coffee, food & relaxing spot.",
                "settings": {
                    "title": "Example title",
                    "meta_description": "Example description",
                    "meta_keywords": "keyword1,keyword2",
                    "language_code": "en",
                    "font_family": "default",
                    "font_size": 16,
                    "display_share_buttons": 1,
                    "auto_refresh": 10,
                },
                "details": {
                    "address": "Lorem ipsum dolor sit amet, number 200, street consectetur adipiscing.",
                    "phone": "+100100100",
                    "website": "https://example.com",
                    "email": "[email protected]",
                    "hours": {
                        "1": {
                            "is_enabled": true,
                            "hours": "10AM - 9PM"
                        },
                        "2": {
                            "is_enabled": true,
                            "hours": "10AM - 9PM"
                        },
                        "3": {
                            "is_enabled": true,
                            "hours": "10AM - 9PM"
                        },
                        "4": {
                            "is_enabled": true,
                            "hours": "10AM - 9PM"
                        },
                        "5": {
                            "is_enabled": true,
                            "hours": "10AM - 9PM"
                        },
                        "6": {
                            "is_enabled": true,
                            "hours": "24/7"
                        },
                        "7": {
                            "is_enabled": true,
                            "hours": "24/7"
                        }
                    }
                },
                "socials": {
                    "facebook": "example",
                    "instagram": "example",
                    "x": "example"
                },
                "currency": "USD",
                "password": null,
                "image": "example.jpg",
                "logo": "example.png",
                "favicon": "example.png",
                "opengraph": "",
                "theme": "new-york",
                "timezone": "UTC",
                "custom_css": "",
                "custom_js": "",
                "pageviews": 50,
                "orders": 100,
                "is_se_visible": true,
                "is_removed_branding": true,
                "email_reports_is_enabled": true,
                "email_reports_last_datetime": null,
                "email_orders_is_enabled": false,
                "ordering": {
                    "on_premise_is_enabled": 1,
                    "delivery_is_enabled": 1,
                    "takeaway_is_enabled": 1,
                    "on_premise_minimum_value": 0,
                    "delivery_minimum_value": 5,
                    "delivery_cost": 5,
                    "delivery_free_minimum_value": 10,
                    "takeaway_minimum_value": 0
                },
                "payment_processors": {
                    "paypal_is_enabled": false,
                    "paypal_mode": "live",
                    "paypal_client_id": "",
                    "paypal_secret": "",
                    "stripe_is_enabled": true,
                    "stripe_publishable_key": "",
                    "stripe_secret_key": "",
                    "stripe_webhook_secret": "",
                    "mollie_is_enabled": true,
                    "mollie_api_key": "",
                    "paystack_is_enabled": true,
                    "paystack_api_key": "",
                    "paystack_secret_key": "",
                    "offline_payment_is_enabled": true
                },
                "business": {
                    "invoice_is_enabled": true,
                    "invoice_nr_prefix": "VINTAGE-",
                    "name": "Vintage Machine",
                    "address": "Vintage Machine Street One",
                    "city": "Vintage City",
                    "county": "",
                    "zip": "123123",
                    "country": "US",
                    "email": "",
                    "phone": "+101010101010",
                    "tax_type": "",
                    "tax_id": "",
                    "custom_key_one": "",
                    "custom_value_one": "",
                    "custom_key_two": "",
                    "custom_value_two": ""
                },
                "is_enabled": true,
                "datetime": "2026-06-27 18:42:50",
                "last_datetime": null
            }
        ],
        "meta": {
            "page": 1,
            "results_per_page": 25,
            "total": 1,
            "total_pages": 1
        },
        "links": {
            "first": "https://akorlis.com/api/stores?page=1",
            "last": "https://akorlis.com/api/stores?page=1",
            "next": null,
            "prev": null,
            "self": "https://akorlis.com/api/stores?page=1"
        }
    }
    
    GET https://akorlis.com/api/stores/{store_id}
    curl --request GET \
    --url 'https://akorlis.com/api/stores/{store_id}' \
    --header 'Authorization: Bearer {api_key}' \
    {
        "data": {
            "store_id": 1,
            "domain_id": null,
            "user_id": 1,
            "url": "example",
            "full_url": "https://akorlis.com/example",
            "name": "Vintage Machine",
            "description": "great coffee, food & relaxing spot.",
            "settings": {
                "title": "Example title",
                "meta_description": "Example description",
                "meta_keywords": "keyword1,keyword2",
                "language_code": "en",
                "font_family": "default",
                "font_size": 16,
                "display_share_buttons": 1,
                "auto_refresh": 10,
            },
            "details": {
                "address": "Lorem ipsum dolor sit amet, number 200, street consectetur adipiscing.",
                "phone": "+100100100",
                "website": "https://example.com",
                "email": "[email protected]",
                "hours": {
                    "1": {
                        "is_enabled": true,
                        "hours": "10AM - 9PM"
                    },
                    "2": {
                        "is_enabled": true,
                        "hours": "10AM - 9PM"
                    },
                    "3": {
                        "is_enabled": true,
                        "hours": "10AM - 9PM"
                    },
                    "4": {
                        "is_enabled": true,
                        "hours": "10AM - 9PM"
                    },
                    "5": {
                        "is_enabled": true,
                        "hours": "10AM - 9PM"
                    },
                    "6": {
                        "is_enabled": true,
                        "hours": "24/7"
                    },
                    "7": {
                        "is_enabled": true,
                        "hours": "24/7"
                    }
                }
            },
            "socials": {
                "facebook": "example",
                "instagram": "example",
                "x": "example"
            },
            "currency": "USD",
            "password": null,
            "image": "example.jpg",
            "logo": "example.png",
            "favicon": "example.png",
            "opengraph": "",
            "theme": "new-york",
            "timezone": "UTC",
            "custom_css": "",
            "custom_js": "",
            "pageviews": 50,
            "orders": 100,
            "is_se_visible": true,
            "is_removed_branding": true,
            "email_reports_is_enabled": true,
            "email_reports_last_datetime": null,
            "email_orders_is_enabled": false,
            "ordering": {
                "on_premise_is_enabled": 1,
                "delivery_is_enabled": 1,
                "takeaway_is_enabled": 1,
                "on_premise_minimum_value": 0,
                "delivery_minimum_value": 5,
                "delivery_cost": 5,
                "delivery_free_minimum_value": 10,
                "takeaway_minimum_value": 0
            },
            "payment_processors": {
                "paypal_is_enabled": false,
                "paypal_mode": "live",
                "paypal_client_id": "",
                "paypal_secret": "",
                "stripe_is_enabled": true,
                "stripe_publishable_key": "",
                "stripe_secret_key": "",
                "stripe_webhook_secret": "",
                "mollie_is_enabled": true,
                "mollie_api_key": "",
                "paystack_is_enabled": true,
                "paystack_api_key": "",
                "paystack_secret_key": "",
                "offline_payment_is_enabled": true
            },
            "business": {
                "invoice_is_enabled": true,
                "invoice_nr_prefix": "VINTAGE-",
                "name": "Vintage Machine",
                "address": "Vintage Machine Street One",
                "city": "Vintage City",
                "county": "",
                "zip": "123123",
                "country": "US",
                "email": "",
                "phone": "+101010101010",
                "tax_type": "",
                "tax_id": "",
                "custom_key_one": "",
                "custom_value_one": "",
                "custom_key_two": "",
                "custom_value_two": ""
            },
            "is_enabled": true,
            "datetime": "2026-06-27 18:42:50",
            "last_datetime": null
        }
    }